/*-----------------------------------------------------------------------------
* Copyright (c) Chrontel Inc.
*
* Permission is hereby granted, free of charge, to any person obtaining a copy
* of this software and associated documentation files (the "Software"), to deal
* in the Software without restriction, including without limitation the rights
* to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
* copies of the Software, and to permit persons to whom the Software is
* furnished to do so, subject to the following conditions:
*
* The above copyright notice and this permission notice shall be included in
* all copies or substantial portions of the Software.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
* THE SOFTWARE.
*
*-----------------------------------------------------------------------------
* @file  ch7036_def_regmap.h
* @version 1.2.2
*-----------------------------------------------------------------------------
*/

#ifndef _CH7036_DEF_REGMAP_H
#define _CH7036_DEF_REGMAP_H

#include "ch7036_typedef.h"



#define REG_PAGE_NUM		5
#define REG_NUM_PER_PAGE	0x80

static uint8 g_DefRegMap[5][0x80] = {
	
	{
	0x56, 
	0xF0, 
	0xF3, 
	0x00, 
	0x36, 
	0x58, 
	0xAC, 
	0xDD, 
	0x0F, 
	0x1F, 
	0xB4, 
	0x1A, 
	0x80, 
	0x20, 
	0x00, 
	0x10, 
	0x60, 
	0x11, 
	0xE0, 
	0x0D, 
	0x00, 
	0x0A, 
	0x02, 
	0x00, 
	0x00, 
	0xF8, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x1A, 
	0x80, 
	0x20, 
	0x00, 
	0x10, 
	0x60, 
	0x11, 
	0xE0, 
	0x0D, 
	0x00, 
	0x0A, 
	0x02, 
	0x08, 
	0x00, 
	0x00, 
	0x3C, 
	0x00, 
	0x01, 
	0x01, 
	0xC0, 
	0x01, 
	0x01, 
	0x80, 
	0x40, 
	0x40, 
	0x47, 
	0x88, 
	0x00, 
	0x00, 
	0x00, 
	0x86, 
	0x00, 
	0x11, 
	0x0E, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x40, 
	0x40, 
	0x80, 
	0x00, 
	0x00, 
	0x00, 
	0x1F, 
	0xFF, 
	0x00, 
	0x80, 
	0x10, 
	0x60, 
	0x00, 
	0x0A, 
	0x02, 
	0x08, 
	0x00, 
	0x00, 
	0x00, 
	0x40, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x01, 
	0x2D, 
	0x90, 
	0x20, 
	0x22, 
	0x44, 
	0x24, 
	0x40, 
	0x00, 
	0x10, 
	0x00, 
	0xA0, 
	0x4B, 
	0x18, 
	0x01, 
	0x00, 
	0x00, 
	0x20, 
	0x80, 
	0x18, 
	0x00, 
	0x00, 
	0x01, 
	0x00, 
	0x00, 
	0x00, 
	0xFF, 
	0x0F, 
	0x00, 
	},

	
	{
	0x56, 
	0xF0, 
	0xF3, 
	0x01, 
	0x36, 
	0x58, 
	0xAC, 
	0x20, 
	0x00, 
	0x4B, 
	0x00, 
	0x6D, 
	0x6A, 
	0x51, 
	0x93, 
	0x1C, 
	0x00, 
	0x08, 
	0xC5, 
	0xA8, 
	0x91, 
	0x68, 
	0x29, 
	0x0E, 
	0xC8, 
	0x42, 
	0x6C, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x10, 
	0x07, 
	0xFF, 
	0xB6, 
	0x10, 
	0x00, 
	0x00, 
	0x15, 
	0x18, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x0B, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x08, 
	0x60, 
	0x14, 
	0x20, 
	0x00, 
	0x00, 
	0x20, 
	0x00, 
	0x49, 
	0x10, 
	0xFF, 
	0xFF, 
	0xFF, 
	0x00, 
	0x08, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0xA0, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x7A, 
	0x5E, 
	0x6E, 
	0x1F, 
	0x1F, 
	0x00, 
	0x00, 
	0x00, 
	0x20, 
	0x40, 
	0x40, 
	0x40, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0x50, 
	0x00, 
	0x00, 
	0x09, 
	0x00, 
	0x00, 
	0x70, 
	0x00, 
	0x50, 
	0x00, 
	0x98, 
	0x00, 
	0x98, 
	0xFF, 
	0x00, 
	0x00, 
	0x00, 
	},

	
	{
	0x56, 
	0xF0, 
	0xF3, 
	0xFF, 
	0x36, 
	0x58, 
	0xAC, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	},

	
	{
	0x56, 
	0xF0, 
	0xF3, 
	0x03, 
	0x36, 
	0x58, 
	0xAC, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0xFF, 
	0x00, 
	0x03, 
	0x19, 
	0x40, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x11, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0x09, 
	0x1D, 
	0x0F, 
	0x00, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0x00, 
	0x00, 
	0xFF, 
	0xF8, 
	0xFF, 
	0x00, 
	0x02, 
	0xFF, 
	0x00, 
	0x00, 
	0x00, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	},

	
	{
	0x56, 
	0xF0, 
	0xF3, 
	0x04, 
	0x36, 
	0x58, 
	0xAC, 
	0xFF, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0xC0, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0x00, 
	0x00, 
	0x4F, 
	0x07, 
	0x4F, 
	0x07, 
	0x3B, 
	0x07, 
	0x3B, 
	0x07, 
	0x50, 
	0x00, 
	0x50, 
	0x00, 
	0x10, 
	0x00, 
	0x00, 
	0x10, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0x00, 
	0x03, 
	0x00, 
	0x00, 
	0x00, 
	0x24, 
	0x00, 
	0x40, 
	0xFF, 
	0xFF, 
	0x7F, 
	0x56, 
	0x80, 
	0x2F, 
	0x00, 
	0x84, 
	0x60, 
	0xAF, 
	0x00, 
	0x00, 
	0x80, 
	0x94, 
	0x00, 
	0x80, 
	0x00, 
	0x05, 
	0x38, 
	0x01, 
	0x83, 
	0x11, 
	0x01, 
	0x80, 
	0x90, 
	0x00, 
	0x40, 
	0x40, 
	0xE4, 
	0x00, 
	0x00, 
	0x00, 
	0x00, 
	0x89, 
	0x10, 
	0xAC, 
	0x00, 
	0xE0, 
	0x80, 
	0x80, 
	0x19, 
	0x7D, 
	0x00, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0xFF, 
	0x00, 
	0x0C, 
	},
};

#endif
